Bug 624 - requires kdesu (bad for two reasons)
: requires kdesu (bad for two reasons)
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/drakxtools)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-16 22:02 by
Modified: 2005-08-30 12:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-16 22:02:09
First, the dependency on kdesu (for starting the *drake utilities from a user
session) is not tracked by RPM.

Second, dependency on kdesu implies dependency on Qt and a rather big kdebase.
There may be systems without KDE at all. 

userhelper is much lighter IMHO.

---
$ sudo apt-get remove kdebase
<skip>
$ /usr/sbin/adduserdrake
отсутствует kdesu at /usr/lib/libDrakX/interactive.pm line 73.
$ rpm -qf /usr/lib/libDrakX/interactive.pm
drakxtools-newt-1.1.7-alt10
$

---
------- Comment #1 From 2002-04-10 22:02:05 -------
This is particularly irritating because some of the *drak* utilities can be
started from a user X session by means of consolehelper (drakconf, userdrake),
but others can\'t: they say they require kdesu (localedrake).
------- Comment #2 From 2002-04-10 22:02:05 -------
This is particularly irritating because some of the *drak* utilities can be
started from a user X session by means of consolehelper (drakconf, userdrake),
but others can\'t: they say they require kdesu (localedrake).
------- Comment #3 From 2003-01-08 21:24:02 -------
Fixed
------- Comment #4 From 2003-01-08 21:24:02 -------
Fixed
------- Comment #5 From 2003-01-09 15:35:29 -------
Hm. in which version?

$ /usr/sbin/localedrake 
отсутствует kdesu at /usr/lib/libDrakX/interactive.pm line 73.
$ rpm -qf /usr/lib/libDrakX/interactive.pm
drakxtools-newt-1.1.7-alt24
------- Comment #6 From 2003-01-09 15:35:29 -------
Hm. in which version?

$ /usr/sbin/localedrake 
отсутствует kdesu at /usr/lib/libDrakX/interactive.pm line 73.
$ rpm -qf /usr/lib/libDrakX/interactive.pm
drakxtools-newt-1.1.7-alt24
------- Comment #7 From 2004-05-14 17:38:42 -------
нет пакета